unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  WABD_Objects;

type
  TDataModule1 = class(TDataModule)
    WABD_SessionMgr1: TWABD_SessionMgr;
    procedure WABD_SessionMgr1CreateSession(var NewSession: TWABD_Session);
    procedure WABD_SessionMgr1DestroySession(Session: TWABD_Session);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  DataModule1: TDataModule1;

implementation

uses Unit2;

{$R *.DFM}

procedure TDataModule1.WABD_SessionMgr1CreateSession(
  var NewSession: TWABD_Session);
begin
   with TDataModule2.Create(nil) do NewSession := WABD_Session1;
end;

procedure TDataModule1.WABD_SessionMgr1DestroySession(
  Session: TWABD_Session);
begin
   Session.Owner.Free;
end;

initialization
   DataModule1 := TDataModule1.Create(nil);
end.
