unit Listen;

interface

uses
  Classes, SysUtils, WinSock;

type
   TListenThread = class(TThread)
   private
      { Private declarations }
   protected
      RemUser     : TSockAddr;
      len         : integer;
      RemoteHost  : string;
      procedure   Execute; override;
   public
      LisSock     : TSocket;
   end;

implementation

uses Main, SockUtil, Data;

{ TListenThread }

procedure TListenThread.Execute;
var
   DataSock : TSocket;
   he       : PHostEnt;
   dt       : TDataThread;
begin
   try
      repeat
         len := sizeof(RemUser);
         DataSock := accept(LisSock, @RemUser, @len);
         Assert(DataSock<>INVALID_SOCKET, 'Unable to Accept');
         he := gethostbyaddr(@RemUser.sin_addr.S_addr, 4, RemUser.sin_family);
         RemoteHost := he.h_name;

         dt := TDataThread.Create(True);
         dt.DataSock := DataSock;
         dt.RemoteHost := RemoteHost;
         dt.Resume; 

      until FALSE;
   except
   end;
end;

end.
